Subject: Re: linux-next: manual merge of the net-next tree with the infiniband tree

From: Thadeu Lima de Souza Cascardo <[email-masked]>
Date: Wed, 24 Apr 2013 14:53:04 -0300

On Thu, Apr 18, 2013 at 01:18:43PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the net-next tree got a conflict in
> drivers/infiniband/hw/cxgb4/qp.c between commit 5b0c275926b8
> ("RDMA/cxgb4: Fix SQ allocation when on-chip SQ is disabled") from the
> infiniband tree and commit 9919d5bd01b9 ("RDMA/cxgb4: Fix onchip queue
> support for T5") from the net-next tree.
> 
> I think that they are 2 different fixes for the same problem, so I just
> used the net-next version and can carry the fix as necessary (no action
> is required).
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]

Commit 5b0c275926b8 also keeps the intention of the original patch which
broke it, which was to return an error code, in case the allocation fails.
Commit 9919d5bd01b9 fix will return 0 in case the allocation fails.

We should keep the other fix or fix the code again to return the proper
error code.

Regards.
Cascardo.

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html